GNU bug report logs - #33900
GNUmakefile mode colors fooled by colons in shell commands

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33681, #35299, #36245; dated Sat, 29 Dec 2018 05:45:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.1. Request was from Bhavin Gandhi <bhavin7392@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Bhavin Gandhi <bhavin7392@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2018 05:44:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 29 00:44:19 2018
Received: from localhost ([127.0.0.1]:40792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gd7Q2-0002Fe-PK
	for submit <at> debbugs.gnu.org; Sat, 29 Dec 2018 00:44:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1gd7Q0-0002FP-Lc
 for submit <at> debbugs.gnu.org; Sat, 29 Dec 2018 00:44:17 -0500
Received: from lists.gnu.org ([208.118.235.17]:46307)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1gd7Pv-0006sm-Bq
 for submit <at> debbugs.gnu.org; Sat, 29 Dec 2018 00:44:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55713)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1gd7Ps-0000yz-0q
 for bug-gnu-emacs@HIDDEN; Sat, 29 Dec 2018 00:44:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.4 required=5.0 tests=BAYES_50,DATE_IN_PAST_03_06,
 FROM_EXCESS_BASE64,RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1gd7Ct-0005Gc-65
 for bug-gnu-emacs@HIDDEN; Sat, 29 Dec 2018 00:30:47 -0500
Received: from goldenrod.birch.relay.mailchannels.net ([23.83.209.74]:6814)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1gd7Cs-0005EF-Qv
 for bug-gnu-emacs@HIDDEN; Sat, 29 Dec 2018 00:30:43 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 634881242E0
 for <bug-gnu-emacs@HIDDEN>; Sat, 29 Dec 2018 05:30:39 +0000 (UTC)
Received: from pdx1-sub0-mail-a45.g.dreamhost.com (unknown [100.96.33.121])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 11B321247AA
 for <bug-gnu-emacs@HIDDEN>; Sat, 29 Dec 2018 05:30:39 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a45.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.16.2); Sat, 29 Dec 2018 05:30:39 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Blushing-Broad: 77344d0d7b1ec7eb_1546061439221_2042137537
X-MC-Loop-Signature: 1546061439221:1781281392
X-MC-Ingress-Time: 1546061439221
Received: from pdx1-sub0-mail-a45.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a45.g.dreamhost.com (Postfix) with ESMTP id A3BAE803AB
 for <bug-gnu-emacs@HIDDEN>; Fri, 28 Dec 2018 21:30:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=aptEoJeM8kNFTcmOSv0snVYV/CY=; b=OHVPmEfy6Niy/Umn
 2IK+i668XcNISBRwKR7ecHT0LHZ4dIFI0q9P6xlZe64n2RjOvSY4BLOvqP2eUXtl
 mUz+y0TUJx0oLw3uTB6aueNFtLJjKD9SPhBF8gfa3KG0YK10Wp+eYdBuq3KIhr4f
 bQZGhhDSFOCT6xvX2T1BWybQzKw=
Received: from jidanni.org (39-9-100-233.adsl.fetnet.net [39.9.100.233])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a45.g.dreamhost.com (Postfix) with ESMTPSA id BEDC5803A5
 for <bug-gnu-emacs@HIDDEN>; Fri, 28 Dec 2018 21:30:36 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a45
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: GNUmakefile mode colors fooled by colons in shell commands
Date: Sat, 29 Dec 2018 08:36:22 +0800
Message-ID: <87h8ex6uex.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedtledrtdejgdejkecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfggtgesthdtredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecuffhomhgrihhnpegvgigrmhhplhgvrdgtohhmnecukfhppeefledrledruddttddrvdeffeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpeefledrledruddttddrvdeffedprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.74
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.9 (---)

$ cat Makefile
U=https://www.example.com//forum.php?mod=forumdisplay
all:new
	if ! test -f old; then touch old; fi
	diff old new > $T || :
	if test -s $T; then cat $T; echo https://www.example.com/; fi
	mv new old
$ emacs -q Makefile
See the weird colors caused by colons etc. on these lines?

     1  U=https://www.example.com//forum.php?mod=forumdisplay
     4          diff old new > $T || :
     5          if test -s $T; then cat $T; echo https://www.example.com/; fi

emacs-version "26.1"




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33900; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jun 2019 22:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.